import{s as Fe,n as Ae,o as Ee}from"../chunks/scheduler.6062bdaf.js";import{S as qe,i as De,g as s,s as o,r as c,A as ze,h as l,f as t,c as a,j as T,u,x as C,k as O,y as n,a as m,v as d,d as f,t as g,w as h}from"../chunks/index.4bca734e.js";import{D as H}from"../chunks/Docstring.d7918b6d.js";import{H as _e,E as Pe}from"../chunks/EditOnGithub.74ab2baa.js";function ke($e){let v,Y,j,X,N,Z,L,J,r,w,le,k,be="Base class for TFLite exportable model describing metadata on how to export the model through the TFLite format.",pe,I,ye="Class attributes:",me,M,Te=`<li><p>NORMALIZED_CONFIG_CLASS (<code>Type</code>) — A class derived from <a href="/docs/optimum/v1.21.1/en/utils/normalized_config#optimum.utils.NormalizedConfig">NormalizedConfig</a> specifying how to
normalize the model config.</p></li> <li><p>DUMMY_INPUT_GENERATOR_CLASSES (<code>Tuple[Type]</code>) — A tuple of classes derived from
<a href="/docs/optimum/v1.21.1/en/utils/dummy_input_generators#optimum.utils.DummyInputGenerator">DummyInputGenerator</a> specifying how to create dummy inputs.</p></li> <li><p>ATOL_FOR_VALIDATION (<code>Union[float, Dict[str, float]]</code>) — A float or a dictionary mapping task names to float,
where the float values represent the absolute tolerance value to use during model conversion validation.</p></li> <li><p>MANDATORY_AXES (<code>Tuple[Union[str, Tuple[Union[str, Tuple[str]]]]]</code>) — A tuple where each element is either:</p> <ul><li>An axis  name, for instance “batch_size” or “sequence_length”, that indicates that the axis dimension is
needed to export the model,</li> <li>Or a tuple containing two elements:<ul><li>The first one is either a string or a tuple of strings and specifies for which task(s) the axis is needed</li> <li>The second one is the axis name.</li></ul></li></ul> <p>For example: <code>MANDATORY_AXES = (&quot;batch_size&quot;, &quot;sequence_length&quot;, (&quot;multiple-choice&quot;, &quot;num_choices&quot;))</code> means that
to export the model, the batch size and sequence length values always need to be specified, and that a value
for the number of possible choices is needed when the task is multiple-choice.</p></li>`,ce,$,F,ue,S,Ce="List containing the names of the inputs the exported model should take.",de,b,A,fe,V,Oe="List containing the names of the outputs the exported model should have.",ge,y,E,he,R,Ne=`Generates dummy inputs that the exported model should be able to process.
This method is actually used to determine the input specs that are needed for the export.`,K,q,Q,x,D,ve,U,Le="Handles encoder-based text architectures.",W,_,z,xe,G,we="Handles vision architectures.",ee,P,te,B,ne;return N=new _e({props:{title:"Configuration classes for TFLite export",local:"configuration-classes-for-tflite-export",headingTag:"h1"}}),L=new _e({props:{title:"Base classes",local:"optimum.exporters.tflite.TFLiteConfig",headingTag:"h2"}}),w=new H({props:{name:"class optimum.exporters.tflite.TFLiteConfig",anchor:"optimum.exporters.tflite.TFLiteConfig",parameters:[{name:"config",val:": PretrainedConfig"},{name:"task",val:": str"},{name:"batch_size",val:": int = 1"},{name:"sequence_length",val:": typing.Optional[int] = None"},{name:"num_choices",val:": typing.Optional[int] = None"},{name:"width",val:": typing.Optional[int] = None"},{name:"height",val:": typing.Optional[int] = None"},{name:"num_channels",val:": typing.Optional[int] = None"},{name:"feature_size",val:": typing.Optional[int] = None"},{name:"nb_max_frames",val:": typing.Optional[int] = None"},{name:"audio_sequence_length",val:": typing.Optional[int] = None"},{name:"point_batch_size",val:": typing.Optional[int] = None"},{name:"nb_points_per_image",val:": typing.Optional[int] = None"}],parametersDescription:[{anchor:"optimum.exporters.tflite.TFLiteConfig.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014;
The model configuration.`,name:"config"},{anchor:"optimum.exporters.tflite.TFLiteConfig.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;feature-extraction&quot;</code>) &#x2014;
The task the model should be exported for.`,name:"task"},{anchor:"optimum.exporters.tflite.TFLiteConfig.The",description:"<strong>The</strong> rest of the arguments are used to specify the shape of the inputs the model can take. &#x2014;",name:"The"},{anchor:"optimum.exporters.tflite.TFLiteConfig.They",description:"<strong>They</strong> are required or not depending on the model the <code>TFLiteConfig</code> is designed for. &#x2014;",name:"They"}],source:"https://github.com/huggingface/optimum/blob/v1.21.1/optimum/exporters/tflite/base.py#L118"}}),F=new H({props:{name:"inputs",anchor:"optimum.exporters.tflite.TFLiteConfig.inputs",parameters:[],source:"https://github.com/huggingface/optimum/blob/v1.21.1/optimum/exporters/tflite/base.py#L282",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>A list of input names.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>List[str]</code></p>
`}}),A=new H({props:{name:"outputs",anchor:"optimum.exporters.tflite.TFLiteConfig.outputs",parameters:[],source:"https://github.com/huggingface/optimum/blob/v1.21.1/optimum/exporters/tflite/base.py#L293",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>A list of output names.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>List[str]</code></p>
`}}),E=new H({props:{name:"generate_dummy_inputs",anchor:"optimum.exporters.tflite.TFLiteConfig.generate_dummy_inputs",parameters:[],source:"https://github.com/huggingface/optimum/blob/v1.21.1/optimum/exporters/tflite/base.py#L303",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>A dictionary mapping input names to dummy tensors.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>Dict[str, tf.Tensor]</code></p>
`}}),q=new _e({props:{title:"Middle-end classes",local:"optimum.exporters.tflite.config.TextEncoderTFliteConfig",headingTag:"h2"}}),D=new H({props:{name:"class optimum.exporters.tflite.config.TextEncoderTFliteConfig",anchor:"optimum.exporters.tflite.config.TextEncoderTFliteConfig",parameters:[{name:"config",val:": PretrainedConfig"},{name:"task",val:": str"},{name:"batch_size",val:": int = 1"},{name:"sequence_length",val:": typing.Optional[int] = None"},{name:"num_choices",val:": typing.Optional[int] = None"},{name:"width",val:": typing.Optional[int] = None"},{name:"height",val:": typing.Optional[int] = None"},{name:"num_channels",val:": typing.Optional[int] = None"},{name:"feature_size",val:": typing.Optional[int] = None"},{name:"nb_max_frames",val:": typing.Optional[int] = None"},{name:"audio_sequence_length",val:": typing.Optional[int] = None"},{name:"point_batch_size",val:": typing.Optional[int] = None"},{name:"nb_points_per_image",val:": typing.Optional[int] = None"}],source:"https://github.com/huggingface/optimum/blob/v1.21.1/optimum/exporters/tflite/config.py#L27"}}),z=new H({props:{name:"class optimum.exporters.tflite.config.VisionTFLiteConfig",anchor:"optimum.exporters.tflite.config.VisionTFLiteConfig",parameters:[{name:"config",val:": PretrainedConfig"},{name:"task",val:": str"},{name:"batch_size",val:": int = 1"},{name:"sequence_length",val:": typing.Optional[int] = None"},{name:"num_choices",val:": typing.Optional[int] = None"},{name:"width",val:": typing.Optional[int] = None"},{name:"height",val:": typing.Optional[int] = None"},{name:"num_channels",val:": typing.Optional[int] = None"},{name:"feature_size",val:": typing.Optional[int] = None"},{name:"nb_max_frames",val:": typing.Optional[int] = None"},{name:"audio_sequence_length",val:": typing.Optional[int] = None"},{name:"point_batch_size",val:": typing.Optional[int] = None"},{name:"nb_points_per_image",val:": typing.Optional[int] = None"}],source:"https://github.com/huggingface/optimum/blob/v1.21.1/optimum/exporters/tflite/config.py#L36"}}),P=new Pe({props:{source:"https://github.com/huggingface/optimum/blob/main/docs/source/exporters/tflite/package_reference/configuration.mdx"}}),{c(){v=s("meta"),Y=o(),j=s("p"),X=o(),c(N.$$.fragment),Z=o(),c(L.$$.fragment),J=o(),r=s("div"),c(w.$$.fragment),le=o(),k=s("p"),k.textContent=be,pe=o(),I=s("p"),I.textContent=ye,me=o(),M=s("ul"),M.innerHTML=Te,ce=o(),$=s("div"),c(F.$$.fragment),ue=o(),S=s("p"),S.textContent=Ce,de=o(),b=s("div"),c(A.$$.fragment),fe=o(),V=s("p"),V.textContent=Oe,ge=o(),y=s("div"),c(E.$$.fragment),he=o(),R=s("p"),R.textContent=Ne,K=o(),c(q.$$.fragment),Q=o(),x=s("div"),c(D.$$.fragment),ve=o(),U=s("p"),U.textContent=Le,W=o(),_=s("div"),c(z.$$.fragment),xe=o(),G=s("p"),G.textContent=we,ee=o(),c(P.$$.fragment),te=o(),B=s("p"),this.h()},l(e){const i=ze("svelte-u9bgzb",document.head);v=l(i,"META",{name:!0,content:!0}),i.forEach(t),Y=a(e),j=l(e,"P",{}),T(j).forEach(t),X=a(e),u(N.$$.fragment,e),Z=a(e),u(L.$$.fragment,e),J=a(e),r=l(e,"DIV",{class:!0});var p=T(r);u(w.$$.fragment,p),le=a(p),k=l(p,"P",{"data-svelte-h":!0}),C(k)!=="svelte-1jfshjd"&&(k.textContent=be),pe=a(p),I=l(p,"P",{"data-svelte-h":!0}),C(I)!=="svelte-wz8va1"&&(I.textContent=ye),me=a(p),M=l(p,"UL",{"data-svelte-h":!0}),C(M)!=="svelte-8n5e89"&&(M.innerHTML=Te),ce=a(p),$=l(p,"DIV",{class:!0});var ie=T($);u(F.$$.fragment,ie),ue=a(ie),S=l(ie,"P",{"data-svelte-h":!0}),C(S)!=="svelte-cpn9v5"&&(S.textContent=Ce),ie.forEach(t),de=a(p),b=l(p,"DIV",{class:!0});var oe=T(b);u(A.$$.fragment,oe),fe=a(oe),V=l(oe,"P",{"data-svelte-h":!0}),C(V)!=="svelte-1bc7bh9"&&(V.textContent=Oe),oe.forEach(t),ge=a(p),y=l(p,"DIV",{class:!0});var ae=T(y);u(E.$$.fragment,ae),he=a(ae),R=l(ae,"P",{"data-svelte-h":!0}),C(R)!=="svelte-13849rf"&&(R.textContent=Ne),ae.forEach(t),p.forEach(t),K=a(e),u(q.$$.fragment,e),Q=a(e),x=l(e,"DIV",{class:!0});var re=T(x);u(D.$$.fragment,re),ve=a(re),U=l(re,"P",{"data-svelte-h":!0}),C(U)!=="svelte-sreje6"&&(U.textContent=Le),re.forEach(t),W=a(e),_=l(e,"DIV",{class:!0});var se=T(_);u(z.$$.fragment,se),xe=a(se),G=l(se,"P",{"data-svelte-h":!0}),C(G)!=="svelte-10ord85"&&(G.textContent=we),se.forEach(t),ee=a(e),u(P.$$.fragment,e),te=a(e),B=l(e,"P",{}),T(B).forEach(t),this.h()},h(){O(v,"name","hf:doc:metadata"),O(v,"content",Ie),O($,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),O(b,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),O(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),O(r,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),O(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),O(_,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,i){n(document.head,v),m(e,Y,i),m(e,j,i),m(e,X,i),d(N,e,i),m(e,Z,i),d(L,e,i),m(e,J,i),m(e,r,i),d(w,r,null),n(r,le),n(r,k),n(r,pe),n(r,I),n(r,me),n(r,M),n(r,ce),n(r,$),d(F,$,null),n($,ue),n($,S),n(r,de),n(r,b),d(A,b,null),n(b,fe),n(b,V),n(r,ge),n(r,y),d(E,y,null),n(y,he),n(y,R),m(e,K,i),d(q,e,i),m(e,Q,i),m(e,x,i),d(D,x,null),n(x,ve),n(x,U),m(e,W,i),m(e,_,i),d(z,_,null),n(_,xe),n(_,G),m(e,ee,i),d(P,e,i),m(e,te,i),m(e,B,i),ne=!0},p:Ae,i(e){ne||(f(N.$$.fragment,e),f(L.$$.fragment,e),f(w.$$.fragment,e),f(F.$$.fragment,e),f(A.$$.fragment,e),f(E.$$.fragment,e),f(q.$$.fragment,e),f(D.$$.fragment,e),f(z.$$.fragment,e),f(P.$$.fragment,e),ne=!0)},o(e){g(N.$$.fragment,e),g(L.$$.fragment,e),g(w.$$.fragment,e),g(F.$$.fragment,e),g(A.$$.fragment,e),g(E.$$.fragment,e),g(q.$$.fragment,e),g(D.$$.fragment,e),g(z.$$.fragment,e),g(P.$$.fragment,e),ne=!1},d(e){e&&(t(Y),t(j),t(X),t(Z),t(J),t(r),t(K),t(Q),t(x),t(W),t(_),t(ee),t(te),t(B)),t(v),h(N,e),h(L,e),h(w),h(F),h(A),h(E),h(q,e),h(D),h(z),h(P,e)}}}const Ie='{"title":"Configuration classes for TFLite export","local":"configuration-classes-for-tflite-export","sections":[{"title":"Base classes","local":"optimum.exporters.tflite.TFLiteConfig","sections":[],"depth":2},{"title":"Middle-end classes","local":"optimum.exporters.tflite.config.TextEncoderTFliteConfig","sections":[],"depth":2}],"depth":1}';function Me($e){return Ee(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ge extends qe{constructor(v){super(),De(this,v,Me,ke,Fe,{})}}export{Ge as component};
